=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any]
 Standards-Version: 3.9.4
 Homepage: http://sdr.osmocom.org/trac/wiki/rtl-sdr
-Vcs-Git: http://cgit.osmocom.org/cgit/rtl-sdr/
+Vcs-Git: git://git.osmocom.org/rtl-sdr
+Vcs-Browser: http://cgit.osmocom.org/cgit/rtl-sdr/
 
 Package: librtlsdr-dev
 Section: libdevel
