=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,7 @@
 
 debian/librtlsdr0.udev: rtl-sdr.rules
 	cp -p rtl-sdr.rules debian/librtlsdr0.udev
+
+override_dh_installmodules:
+	dh_installmodules
+	cp -p debian/rtl-sdr-blacklist.conf debian/librtlsdr0/etc/modprobe.d/
