## rtl-sdr 0.5.3.2-5b01-1maemo6

=== debian/changelog ===
rtl-sdr (0.5.3.2-5b01-1maemo6) unstable; urgency=low

  * Fix deps

 -- xes <xes.maemo@gmail.com>  Sun, 9 Feb 2014 22:02:01 +0100

rtl-sdr (0.5.3.2-5b01-1maemo5) unstable; urgency=low

  * new try for autobuilder

 -- xes <xes.maemo@gmail.com>  Sun, 9 Feb 2014 21:01:01 +0100

rtl-sdr (0.5.3.2-5b01-1maemo4) unstable; urgency=low

  * new git snapshot

 -- xes <xes.maemo@gmail.com>  Sun, 9 Feb 2014 20:40:11 +0100

rtl-sdr (0.5.2.22-2c17-1maemo3) unstable; urgency=low

  * new try for autobuilder

 -- xes <xes.maemo@gmail.com>  Mon, 3 Feb 2014 21:30:11 +0100

rtl-sdr (0.5.2.22-2c17-1maemo2) unstable; urgency=low

  * Latest upstream snapshot of 20140130

 -- xes <xes.maemo@gmail.com>  Thu, 30 Jan 2014 01:30:11 +0100

rtl-sdr (0.5.2.22-bf92-1maemo1) unstable; urgency=low

  * Latest upstream snapshot of 20140127
  * first maemo build

 -- xes <xes.maemo@gmail.com>  Mon, 27 Jan 2014 19:39:19 +0100
