=== debian/control ===
Source: rtl-sdr
Section: libs
Priority: extra
Maintainer: Xes <xes.maemo@gmail.com>
Build-Depends: debhelper (>= 7.0.0~), cmake, libusb-1.0-0-dev
Standards-Version: 3.9.4

Package: librtlsdr-dev
Section: libdevel
Architecture: any
Depends: librtlsdr0 (= ${binary:Version})
Description: Software defined radio receiver for Realtek RTL2832U (library)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains the shared library.

Package: librtlsdr0
Section: libs
Architecture: any
Depends: libc6, libgcc1, libusb-1.0-0
Description: Software defined radio receiver for Realtek RTL2832U (development files)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains development files.
 
Package: rtl-sdr
Section: libs
Architecture: any
Depends: librtlsdr0 (= ${binary:Version}), libc6, libgcc1, libusb-1.0-0
Description: Software defined radio receiver for Realtek RTL2832U (tools)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains a set of command line utilities:
  * rtl_adsb: a simple ADS-B decoder for RTL2832 based DVB-T receivers
  * rtl_eeprom: an EEPROM programming tool for RTL2832 based DVB-T receivers
  * rtl_fm: a narrow band FM demodulator for RTL2832 based DVB-T receivers
  * rtl_sdr: an I/Q recorder for RTL2832 based DVB-T receivers
  * rtl_tcp: an I/Q spectrum server for RTL2832 based DVB-T receivers
  * rtl_test: a benchmark tool for RTL2832 based DVB-T receivers
