=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Enable hardening-wrapper
export DEB_BUILD_HARDENING=1

configure: configure-stamp

configure-stamp:
	dh_testdir

	# Add here commands to configure the package.
	cmake -G 'Unix Makefiles' -DCMAKE_INSTALL_PREFIX=/usr

	touch $@


build: build-stamp

build-stamp:  configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1/
	mkdir -p $(CURDIR)/debian/tmp/etc/udev/rules.d/
	install -m 644 debian/*.1 $(CURDIR)/debian/tmp/usr/share/man/man1/
	install -m 644 rtl-sdr.rules $(CURDIR)/debian/tmp/etc/udev/rules.d/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs CHANGES
	dh_installdocs
	dh_install --sourcedir=debian/tmp
	dh_installdebconf
	dh_installlogrotate
#	dh_installinit -n -r -u stop 20 0 6 .
	dh_installman --sourcedir=debian/tmp
	cp -p rtl-sdr.rules debian/librtlsdr0.udev
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
