## rtl-sdr 0.5.3.5-6ee5-1maemo7

=== debian/changelog ===
rtl-sdr (0.5.3.5-6ee5-1maemo7) unstable; urgency=low

  * Updated to latest git
  * package optified

 -- xes <xes.maemo@gmail.com>  Wed, 18 Feb 2014 06:12:38 +0200
