## rtl-sdr 0.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 # Set the version information here
 set(VERSION_INFO_MAJOR_VERSION 0) # increment major on api compatibility changes
 set(VERSION_INFO_MINOR_VERSION 5) # increment minor on feature-level changes
-set(VERSION_INFO_PATCH_VERSION 3) # increment patch for bug fixes and docs
+set(VERSION_INFO_PATCH_VERSION 4) # increment patch for bug fixes and docs
 include(Version) # setup version info
 
 ########################################################################
@@ -55,6 +55,9 @@
     ADD_DEFINITIONS(-Wdeclaration-after-statement)
     #http://gcc.gnu.org/wiki/Visibility
     add_definitions(-fvisibility=hidden)
+elseif(MSVC14 OR MSVC14)
+#pthread-w32 issue, timespec is now part of time.h
+    ADD_DEFINITIONS(-D_TIMESPEC_DEFINED)
 endif()
 
 ########################################################################
