=== debian/changelog ===
rtl-sdr (0.5.4.22.be2e) UNRELEASED; urgency=medium

  * Snapshot build

 -- Harald Welte <laforge@gnumonks.org>  Mon, 10 Feb 2020 01:31:13 +0000

rtl-sdr (0.6git) unstable; urgency=medium

  * New upstream release

 -- Harald Welte <laforge@gnumonks.org>  Sun, 06 Jun 2018 15:09:42 +0200
