## rtl-sdr 0.5.4.23.1dff

=== debian/changelog ===
rtl-sdr (0.5.4.23.1dff) UNRELEASED; urgency=medium

  * Snapshot build

 -- Harald Welte <laforge@gnumonks.org>  Wed, 26 Feb 2020 10:12:36 +0000
