## rtl-sdr 0.6

=== debian/changelog ===
rtl-sdr (0.6-2) unstable; urgency=medium

  * modernize-cmake fixed to generate valid Pkg Config File (Closes: #925916)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 28 May 2019 12:04:14 -0400

rtl-sdr (0.6-1) unstable; urgency=medium

  * New upstream release
  * with modernize-cmake patch

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 06 Oct 2018 20:28:26 -0400

rtl-sdr (0.6~git) unstable; urgency=medium

  * New upstream release

 -- Harald Welte <laforge@gnumonks.org>  Sun, 06 Jun 2018 15:09:42 +0200
